%define major 2.6
%define iconname sylpheed.png

Summary:	A GTK+2 based, lightweight, and fast e-mail client
Name:		sylpheed
Version:	%{major}.0
Release:	%mkrel 1
Source0:	http://sylpheed.sraoss.jp/sylpheed/v%{major}/sylpheed-%{version}.tar.bz2
Patch0:		sylpheed-2.6.0-fix-str-fmt.patch
License:	GPLv2
URL:		http://sylpheed.sraoss.jp/
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
BuildRequires:	gpgme-devel > 0.4.5
BuildRequires:	imagemagick
BuildRequires:	libpilot-link-devel
BuildRequires:	openldap-devel
Group:		Networking/Mail
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	sylpheed-main = %version-%release
Provides:	sylpheed2
Obsoletes:	sylpheed2

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
	o user-friendly and intuitive interface
	o integrated NetNews client (partially implemented)
	o ability of keyboard-only operation
	o Mew/Wanderlust-like key bind
	o multipart MIME
	o built-in image view
	o external editor support
	o unlimited multiple account handling
	o message queueing
	o filtering
	o XML-based address book
See 'README' for more information.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x --enable-gpgme \
		--enable-jpilot \
		--enable-ssl \
		--enable-ldap \
		--enable-ipv6

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	sylpheed.desktop

%{find_lang} %name

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog* NEWS README* INSTALL* TODO*
%{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/faq
%lang(de) %doc %{_datadir}/%{name}/faq/de
%lang(en) %doc %{_datadir}/%{name}/faq/en
%lang(es) %doc %{_datadir}/%{name}/faq/es
%lang(fr) %doc %{_datadir}/%{name}/faq/fr
%lang(it) %doc %{_datadir}/%{name}/faq/it
%dir %{_datadir}/%{name}/manual
%lang(en) %doc %{_datadir}/%{name}/manual/en
%lang(ja) %doc %{_datadir}/%{name}/manual/ja
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%{_miconsdir}/%{iconname}


%changelog
* Sat Dec 20 2008 Funda Wang <fundawang@mandriva.org> 2.6.0-1mdv2009.0
+ Revision: 316397
- New version 2.6.0

* Wed Jun 18 2008 Funda Wang <fundawang@mandriva.org> 2.5.0-1mdv2009.0
+ Revision: 225368
- New version 2.5.0 final

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 06 2008 Funda Wang <fundawang@mandriva.org> 2.5.0-0.rc2.1mdv2009.0
+ Revision: 216477
- New version 2.5.0rc2

* Tue May 20 2008 Funda Wang <fundawang@mandriva.org> 2.5.0-0.rc.1mdv2009.0
+ Revision: 209575
- add missing files
- New version 2.5.0rc

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 2.4.8-1mdv2008.1
+ Revision: 145870
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 2.4.7-1mdv2008.1
+ Revision: 98226
- fix desktop file
- corrected license
- New version 2.4.7

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 2.4.5-1mdv2008.0
+ Revision: 76745
- New version 2.4.5

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 2.4.4-1mdv2008.0
+ Revision: 54535
- New version

* Tue Jul 03 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.3-1mdv2008.0
+ Revision: 47647
- Updated to version 2.4.3.

* Mon May 21 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.2-1mdv2008.0
+ Revision: 29256
- Updated to 2.4.2.

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.1-1mdv2008.0
+ Revision: 25062
- Updated to 2.4.1.
- Updated BuildRequires.


* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 2.3.0-1mdv2007.0
+ Revision: 103662
- Add BuildRequires
- New release 2.3.0
- New release 2.2.10
- Import sylpheed

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2.7-2mdv2007.0
- Rebuild with latest pilot-link

* Thu Aug 03 2006 Charles A Edwards <eslrahc@mandriva.org> 2.2.7-1mdv2007.0
- 2.2.7
- xdg

* Wed Jun 14 2006 Charles A Edwards <eslrahc@mandriva.org> 2.2.6-1mdv2007.0
-2.2.6

* Sun Apr 02 2006 Jerome Soyer <saispo@mandriva.org> 2.2.4-1mdk
- New release 2.2.4

* Tue Mar 14 2006 Jerome Soyer <saispo@mandriva.org> 2.2.3-1mdk
- New release 2.2.3

* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 2.2.2-1mdk
- New release 2.2.2

* Tue Feb 28 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.1-1mdk
- 2.2.1.

* Sat Jan 21 2006 Marcel Pol <mpol@mandriva.org> 2.2.0-0.beta4.3mdk
- buildrequires gpgme-devel (on 32 and 64 bit)

* Wed Jan 18 2006 Marcel Pol <mpol@mandriva.org> 2.2.0-0.beta4.2mdk
- buildrequires libgpgme-devel > 0.4.5

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 2.2.0-0.beta4.1mdk
- 2.2.0beta4

* Sat Dec 03 2005 Marcel Pol <mpol@mandriva.org> 2.1.8-1mdk
- 2.1.8

* Sat Oct 22 2005 Stefan van der Eijk <stefan@eijk.nu> 2.1.4-2mdk
- BuildRequires

* Fri Oct 21 2005 Marcel Pol <mpol@mandriva.org> 2.1.4-1mdk
- 2.1.4
- don't conflict with sylpheed-claws, parallel installable now

* Tue Oct 18 2005 Marcel Pol <mpol@mandriva.org> 2.1.3-1mdk
- 2.1.3
- merge changes from sylpheed2 package (mostly buildrequires)
- provide and obsolete sylpheed2

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-2mdk
- rebuilt against new openldap-2.3.6 libs

* Fri Jul 29 2005 Marcel Pol <mpol@mandriva.org> 1.0.5-1mdk
- 1.0.5
- %%mkrel

* Fri Mar 25 2005 Charles A Edwards <eslrahc@mandrake.org> 1.0.4-1mdk
- 1.0.4

* Fri Mar 04 2005 Charles A Edwards <eslrahc@mandrake.org> 1.0.3-1mdk
- 1.0.3

* Thu Feb 03 2005 Charles A Edwards <eslrahc@mandrake.org> 1.0.1-1mdk
- 1.0.1
- BR gpgme >= 0.4.5..now supports gpgme-1.0
- enable ipv6 support

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-2mdk
- rebuild for new readline
- cosmetics

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 1.0.0-1mdk
- new release

* Sat Dec 04 2004 Charles A Edwards <eslrahc@mandrake.org> 1.0.0-0.beta4.1mdk
- 1.0.0beta4

* Tue Nov 09 2004 Charles A Edwards <eslrahc@mandrake.org> 1.0.0-0.beta2.1mdk
- 1.0.0beta2
- add version to libgpgme BR
- disable ipv6

* Sun May 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.11-1mdk
- 0.9.11
- rm buildroot in %%install instead of %%prep
- rm ldap fix--no longer needed

* Tue Mar 02 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.10-1mdk
- 0.9.10
- work around for ldap (Tibor Pittich)
- menu entry

* Fri Jan 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.9-1mdk
- 0.9.9
- adjust buildrequires for libgpgme-devel

